Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.groups
Class PortalGroupManager

    java.lang.Object
      org.esupportail.portal.channels.CIntranet.groups.PortalGroupManager

All Implemented Interfaces:
  IGroupManager

public class PortalGroupManager
extends java.lang.Object
implements IGroupManager

PortalGroupManager
Implémentation d'un IGroupManager utilisant les groupes de uPortal
(c)Copyright ESup-Portail 2004

Version:
  2.0
Author:
  Mathieu Larchet

Constructor Summary
`PortalGroupManager()` Constructeur

Method Summary
`java.lang.String` | `getGroupDisplayName(java.lang.String groupid)` Retourne le nom d'usage correspondant à un identifiant de groupe
`void` | `getUserDisplayName(User userid)` Etablit la correspondance entre un login et un nom courant
`void` | `getUsersDisplayName(java.util.Collection userid)` Etablit la correspondance entre un login et un nom courant
`boolean` | `isMemberOf(java.lang.String userid, java.util.Collection groups)` Indique si un utilisateur est membre d'un des groupes d'une liste
`boolean` | `isMemberOf(java.lang.String userid, java.lang.String group)` Indique si un utilisateur est membre d'un groupe

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortalGroupManager

    public PortalGroupManager()

  Constructeur

Method Detail

### getUserDisplayName

    public void getUserDisplayName(User userid)

  Etablit la correspondance entre un login et un nom courant

  Specified by:
    `getUserDisplayName` in interface `IGroupManager`
  Parameters:
    `userid` - L'utilisateur dont on veut connaître le nom
  Throws:
    `GroupException`

### getUsersDisplayName

    public void getUsersDisplayName(java.util.Collection userid)

  Etablit la correspondance entre un login et un nom courant

  Specified by:
    `getUsersDisplayName` in interface `IGroupManager`
  Parameters:
    `userid` - Les utilisateurs dont on veut connaître le nom
  Throws:
    `GroupException`

### getGroupDisplayName

    public java.lang.String getGroupDisplayName(java.lang.String groupid)
                                         throws GroupException

  Retourne le nom d'usage correspondant à un identifiant de groupe

  Specified by:
    `getGroupDisplayName` in interface `IGroupManager`
  Parameters:
    `groupid` - L'identifiant du groupe
  Returns:
    Le nom d'usage
  Throws:
    `GroupException`

### isMemberOf

    public boolean isMemberOf(java.lang.String userid,
                              java.lang.String group)
                       throws GroupException

  Indique si un utilisateur est membre d'un groupe

  Specified by:
    `isMemberOf` in interface `IGroupManager`
  Parameters:
    `userid` - L'identifiant de l'utilisateur
    `group` - L'identifiant du groupe
  Returns:
    true si l'utilisateur est membre, false sinon
  Throws:
    `GroupException`

### isMemberOf

    public boolean isMemberOf(java.lang.String userid,
                              java.util.Collection groups)
                       throws GroupException

  Indique si un utilisateur est membre d'un des groupes d'une liste

  Specified by:
    `isMemberOf` in interface `IGroupManager`
  Parameters:
    `userid` - L'identifiant de l'utilisateur
    `groups` - La liste des identifiants de groupe
  Returns:
    true si l'utilisateur est membre d'au moins un des groupes , false sinon
  Throws:
    `GroupException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD